/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumElementnote;
import de.ship.db.tables.VCoreElementnoteDeDe;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreElementnoteDeDeRecord extends TableRecordImpl<VCoreElementnoteDeDeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_elementnote_de_de.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_elementnote_de_de.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_elementnote_de_de.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_elementnote_de_de.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_elementnote_de_de.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_elementnote_de_de.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_elementnote_de_de.note_type</code>.
     */
    public void setNoteType(EnumElementnote value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_elementnote_de_de.note_type</code>.
     */
    public EnumElementnote getNoteType() {
        return (EnumElementnote) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_elementnote_de_de.fk_note_lang</code>.
     */
    public void setFkNoteLang(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_elementnote_de_de.fk_note_lang</code>.
     */
    public String getFkNoteLang() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.v_core_elementnote_de_de.de_de</code>.
     */
    public void setDeDe(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.v_core_elementnote_de_de.de_de</code>.
     */
    public String getDeDe() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreElementnoteDeDeRecord
     */
    public VCoreElementnoteDeDeRecord() {
        super(VCoreElementnoteDeDe.V_CORE_ELEMENTNOTE_DE_DE);
    }

    /**
     * Create a detached, initialised VCoreElementnoteDeDeRecord
     */
    public VCoreElementnoteDeDeRecord(LocalDateTime lastchange, Integer pk, Integer fkElement, EnumElementnote noteType, String fkNoteLang, String deDe) {
        super(VCoreElementnoteDeDe.V_CORE_ELEMENTNOTE_DE_DE);

        setLastchange(lastchange);
        setPk(pk);
        setFkElement(fkElement);
        setNoteType(noteType);
        setFkNoteLang(fkNoteLang);
        setDeDe(deDe);
        resetChangedOnNotNull();
    }
}
